using System;
using Kosmaczewski.Oruga.XslFo;

namespace Kosmaczewski.Oruga
{
	/// <summary>
	/// Summary description for IParser.
	/// </summary>
	public interface IParser
	{
		/// <summary>
		/// This public method launches the parsing process and returns an instance of
		/// Kosmaczewski.Oruga.XslFo.XslFoDocument that represents the data read.
		/// </summary>
		/// <returns>An XslFoDocument representing the data read.</returns>
		XslFoDocument Parse();
	}
}
