using System;
using System.IO;
using Kosmaczewski.Oruga.Rtf;
using Kosmaczewski.Oruga.XslFo;

namespace Kosmaczewski.Oruga.Html
{
	/// <summary>
	/// HtmlParser encapsulates the HTML semantics for the tokens read by the
	/// HtmlTextReader class. These semantics are used to build an XSL-FO compliant
	/// XML document that represents the contents of the HTML input stream.
	/// </summary>
	public class HtmlParser : IParser
	{
		/// <summary>
		/// Public constructor.
		/// </summary>
		public HtmlParser()
		{
		}

		#region IParser Members

		/// <summary>
		/// This public method launches the parsing process and returns an instance of
		/// Kosmaczewski.Oruga.XslFo.XslFoDocument that represents the HTML data read.
		/// </summary>
		/// <returns>An XslFoDocument representing the data read.</returns>
		public XslFoDocument Parse()
		{
			// TODO:  Add HtmlParser.Parse implementation
			return null;
		}

		#endregion
	}
}
